//
// $Id: ConnectedOutStream.h,v 1.7 2007/03/06 20:42:19 will_mason Exp $
//
// vi: set ft=objc:

/*
 * ObjectiveLib - a library of containers and algorithms for Objective-C
 *
 * Copyright (c) 2004-2007
 * Will Mason
 *
 * Portions:
 *
 * Copyright (c) 1994
 * Hewlett-Packard Company
 *
 * Copyright (c) 1996,1997
 * Silicon Graphics Computer Systems, Inc.
 *
 * Copyright (c) 1997
 * Moscow Center for SPARC Technology
 *
 * Copyright (c) 1999 
 * Boris Fomitchev
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author at will_mason@users.sourceforge.net.
 */

#if !defined(CONNECTEDOUTSTREAM_OL_GUARD)
#define CONNECTEDOUTSTREAM_OL_GUARD

#include <ObjectiveLib/OutStream.h>

/**
 * @class OLConnectedOutStream ConnectedOutStream.h ObjectiveLib/ConnectedOutStream.h
 *
 * An out stream that is connected to something outside of @b ObjectiveLib. This class
 * just serves as a tagging class to help differentiate connected streams from
 * layered streams, and therefore provides no functionality itself.
 *
 * @sa Streams
 *
 * @ingroup Streams
 */
@interface OLConnectedOutStream : OLOutStream
{
}

@end

#endif
